/ Check-in [7d1e7971]
Login

Many hyperlinks are disabled.
Use anonymous login to enable hyperlinks.

Overview
Comment:Add a configure option for using gcov (makes things easier for versions of GCC that fail to build otherwise) (CVS 4947)
Downloads: Tarball | ZIP archive | SQL archive
Timelines: family | ancestors | descendants | both | trunk
Files: files | file ages | folders
SHA1: 7d1e79716246b0dd4a64d7c9575b2300e0f6123e
User & Date: mlcreech 2008-04-01 02:45:22
Context
2008-04-01
03:27
More test cases and bug fixes with CSE. (CVS 4948) check-in: 7e815612 user: drh tags: trunk
02:45
Add a configure option for using gcov (makes things easier for versions of GCC that fail to build otherwise) (CVS 4947) check-in: 7d1e7971 user: mlcreech tags: trunk
01:42
Initial test cases and bug fixes in the CSE logic. (CVS 4946) check-in: e5aff09a user: drh tags: trunk
Changes
Hide Diffs Side-by-Side Diffs Ignore Whitespace Patch

Changes to Makefile.in.

    95     95   # know the specific version we want to use
    96     96   #
    97     97   TCLSH_CMD = @TCLSH_CMD@
    98     98   
    99     99   # The suffix used on shared libraries.  Ex:  ".dll", ".so", ".dylib"
   100    100   #
   101    101   SHLIB_SUFFIX = @TCL_SHLIB_SUFFIX@
          102  +
          103  +# If gcov support was enabled by the configure script, add the appropriate
          104  +# flags here.  It's not always as easy as just having the user add the right
          105  +# CFLAGS / LDFLAGS, because libtool wants to use CFLAGS when linking, which
          106  +# causes build errors with -fprofile-arcs -ftest-coverage with some GCCs.  
          107  +# Supposedly GCC does the right thing if you use --coverage, but in 
          108  +# practice it still fails.  See:
          109  +#
          110  +# http://www.mail-archive.com/debian-gcc@lists.debian.org/msg26197.html
          111  +#
          112  +# for more info.
          113  +#
          114  +GCOV_CFLAGS1 = -fprofile-arcs -ftest-coverage
          115  +GCOV_LDFLAGS1 = -lgcov
          116  +USE_GCOV = @USE_GCOV@
          117  +LTCOMPILE_EXTRAS += $(GCOV_CFLAGS$(USE_GCOV))
          118  +LTLINK_EXTRAS += $(GCOV_LDFLAGS$(USE_GCOV))
          119  +
   102    120   
   103    121   # The directory into which to store package information for
   104    122   
   105    123   # Some standard variables and programs
   106    124   #
   107    125   prefix = @prefix@
   108    126   exec_prefix = @exec_prefix@
................................................................................
   110    128   bindir = @bindir@
   111    129   includedir = @includedir@
   112    130   INSTALL = @INSTALL@
   113    131   LIBTOOL = ./libtool
   114    132   ALLOWRELEASE = @ALLOWRELEASE@
   115    133   
   116    134   # libtool compile/link/install
   117         -LTCOMPILE = $(LIBTOOL) --mode=compile --tag=CC $(TCC)
   118         -LTLINK = $(LIBTOOL) --mode=link $(TCC) @LDFLAGS@
          135  +LTCOMPILE = $(LIBTOOL) --mode=compile --tag=CC $(TCC) $(LTCOMPILE_EXTRAS)
          136  +LTLINK = $(LIBTOOL) --mode=link $(TCC) @LDFLAGS@ $(LTLINK_EXTRAS)
   119    137   LTINSTALL = $(LIBTOOL) --mode=install $(INSTALL)
   120    138   
   121    139   # nawk compatible awk.
   122    140   NAWK = @AWK@
   123    141   
   124    142   # You should not have to change anything below this line
   125    143   ###############################################################################

Changes to configure.

   868    868   HAVE_TCL
   869    869   TARGET_READLINE_LIBS
   870    870   TARGET_READLINE_INC
   871    871   TARGET_HAVE_READLINE
   872    872   TARGET_DEBUG
   873    873   USE_AMALGAMATION
   874    874   LOADEXTENSION_FLAGS
          875  +USE_GCOV
   875    876   BUILD_CFLAGS
   876    877   LIBOBJS
   877    878   LTLIBOBJS'
   878    879   ac_subst_files=''
   879    880         ac_precious_vars='build_alias
   880    881   host_alias
   881    882   target_alias
................................................................................
  1480   1481                             (never,no,yes,always)
  1481   1482     --disable-tcl           do not build TCL extension
  1482   1483     --disable-readline      disable readline support [default=detect]
  1483   1484     --enable-debug          enable debugging & verbose explain
  1484   1485     --disable-amalgamation  Disable the amalgamation and instead build all files
  1485   1486                             separately
  1486   1487     --enable-load-extension Enable loading of external extensions
         1488  +  --enable-gcov           Enable coverage testing using gcov
  1487   1489   
  1488   1490   Optional Packages:
  1489   1491     --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
  1490   1492     --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
  1491   1493     --with-gnu-ld           assume the C compiler uses GNU ld [default=no]
  1492   1494     --with-pic              try to use only PIC/non-PIC objects [default=use
  1493   1495                             both]
................................................................................
  1941   1943   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
  1942   1944   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
  1943   1945   ac_compiler_gnu=$ac_cv_c_compiler_gnu
  1944   1946   
  1945   1947   
  1946   1948   
  1947   1949   # The following RCS revision string applies to configure.in
  1948         -# $Revision: 1.56 $
         1950  +# $Revision: 1.57 $
  1949   1951   
  1950   1952   #########
  1951   1953   # Programs needed
  1952   1954   #
  1953   1955   # Check whether --enable-shared was given.
  1954   1956   if test "${enable_shared+set}" = set; then
  1955   1957     enableval=$enable_shared; p=${PACKAGE-default}
................................................................................
  3692   3694         ;;
  3693   3695       esac
  3694   3696     fi
  3695   3697     rm -rf conftest*
  3696   3698     ;;
  3697   3699   *-*-irix6*)
  3698   3700     # Find out which ABI we are using.
  3699         -  echo '#line 3699 "configure"' > conftest.$ac_ext
         3701  +  echo '#line 3701 "configure"' > conftest.$ac_ext
  3700   3702     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
  3701   3703     (eval $ac_compile) 2>&5
  3702   3704     ac_status=$?
  3703   3705     echo "$as_me:$LINENO: \$? = $ac_status" >&5
  3704   3706     (exit $ac_status); }; then
  3705   3707      if test "$lt_cv_prog_gnu_ld" = yes; then
  3706   3708       case `/usr/bin/file conftest.$ac_objext` in
................................................................................
  6371   6373      # Note that $ac_compile itself does not contain backslashes and begins
  6372   6374      # with a dollar sign (not a hyphen), so the echo should work correctly.
  6373   6375      # The option is referenced via a variable to avoid confusing sed.
  6374   6376      lt_compile=`echo "$ac_compile" | $SED \
  6375   6377      -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
  6376   6378      -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
  6377   6379      -e 's:$: $lt_compiler_flag:'`
  6378         -   (eval echo "\"\$as_me:6378: $lt_compile\"" >&5)
         6380  +   (eval echo "\"\$as_me:6380: $lt_compile\"" >&5)
  6379   6381      (eval "$lt_compile" 2>conftest.err)
  6380   6382      ac_status=$?
  6381   6383      cat conftest.err >&5
  6382         -   echo "$as_me:6382: \$? = $ac_status" >&5
         6384  +   echo "$as_me:6384: \$? = $ac_status" >&5
  6383   6385      if (exit $ac_status) && test -s "$ac_outfile"; then
  6384   6386        # The compiler can only warn and ignore the option if not recognized
  6385   6387        # So say no if there are warnings other than the usual output.
  6386   6388        $echo "X$_lt_compiler_boilerplate" | $Xsed -e '/^$/d' >conftest.exp
  6387   6389        $SED '/^$/d; /^ *+/d' conftest.err >conftest.er2
  6388   6390        if test ! -s conftest.er2 || diff conftest.exp conftest.er2 >/dev/null; then
  6389   6391          lt_cv_prog_compiler_rtti_exceptions=yes
................................................................................
  6639   6641      # Note that $ac_compile itself does not contain backslashes and begins
  6640   6642      # with a dollar sign (not a hyphen), so the echo should work correctly.
  6641   6643      # The option is referenced via a variable to avoid confusing sed.
  6642   6644      lt_compile=`echo "$ac_compile" | $SED \
  6643   6645      -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
  6644   6646      -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
  6645   6647      -e 's:$: $lt_compiler_flag:'`
  6646         -   (eval echo "\"\$as_me:6646: $lt_compile\"" >&5)
         6648  +   (eval echo "\"\$as_me:6648: $lt_compile\"" >&5)
  6647   6649      (eval "$lt_compile" 2>conftest.err)
  6648   6650      ac_status=$?
  6649   6651      cat conftest.err >&5
  6650         -   echo "$as_me:6650: \$? = $ac_status" >&5
         6652  +   echo "$as_me:6652: \$? = $ac_status" >&5
  6651   6653      if (exit $ac_status) && test -s "$ac_outfile"; then
  6652   6654        # The compiler can only warn and ignore the option if not recognized
  6653   6655        # So say no if there are warnings other than the usual output.
  6654   6656        $echo "X$_lt_compiler_boilerplate" | $Xsed -e '/^$/d' >conftest.exp
  6655   6657        $SED '/^$/d; /^ *+/d' conftest.err >conftest.er2
  6656   6658        if test ! -s conftest.er2 || diff conftest.exp conftest.er2 >/dev/null; then
  6657   6659          lt_prog_compiler_pic_works=yes
................................................................................
  6743   6745      # (2) before a word containing "conftest.", or (3) at the end.
  6744   6746      # Note that $ac_compile itself does not contain backslashes and begins
  6745   6747      # with a dollar sign (not a hyphen), so the echo should work correctly.
  6746   6748      lt_compile=`echo "$ac_compile" | $SED \
  6747   6749      -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
  6748   6750      -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
  6749   6751      -e 's:$: $lt_compiler_flag:'`
  6750         -   (eval echo "\"\$as_me:6750: $lt_compile\"" >&5)
         6752  +   (eval echo "\"\$as_me:6752: $lt_compile\"" >&5)
  6751   6753      (eval "$lt_compile" 2>out/conftest.err)
  6752   6754      ac_status=$?
  6753   6755      cat out/conftest.err >&5
  6754         -   echo "$as_me:6754: \$? = $ac_status" >&5
         6756  +   echo "$as_me:6756: \$? = $ac_status" >&5
  6755   6757      if (exit $ac_status) && test -s out/conftest2.$ac_objext
  6756   6758      then
  6757   6759        # The compiler can only warn and ignore the option if not recognized
  6758   6760        # So say no if there are warnings
  6759   6761        $echo "X$_lt_compiler_boilerplate" | $Xsed -e '/^$/d' > out/conftest.exp
  6760   6762        $SED '/^$/d; /^ *+/d' out/conftest.err >out/conftest.er2
  6761   6763        if test ! -s out/conftest.er2 || diff out/conftest.exp out/conftest.er2 >/dev/null; then
................................................................................
  9088   9090   else
  9089   9091     	  if test "$cross_compiling" = yes; then :
  9090   9092     lt_cv_dlopen_self=cross
  9091   9093   else
  9092   9094     lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
  9093   9095     lt_status=$lt_dlunknown
  9094   9096     cat > conftest.$ac_ext <<EOF
  9095         -#line 9095 "configure"
         9097  +#line 9097 "configure"
  9096   9098   #include "confdefs.h"
  9097   9099   
  9098   9100   #if HAVE_DLFCN_H
  9099   9101   #include <dlfcn.h>
  9100   9102   #endif
  9101   9103   
  9102   9104   #include <stdio.h>
................................................................................
  9188   9190   else
  9189   9191     	  if test "$cross_compiling" = yes; then :
  9190   9192     lt_cv_dlopen_self_static=cross
  9191   9193   else
  9192   9194     lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
  9193   9195     lt_status=$lt_dlunknown
  9194   9196     cat > conftest.$ac_ext <<EOF
  9195         -#line 9195 "configure"
         9197  +#line 9197 "configure"
  9196   9198   #include "confdefs.h"
  9197   9199   
  9198   9200   #if HAVE_DLFCN_H
  9199   9201   #include <dlfcn.h>
  9200   9202   #endif
  9201   9203   
  9202   9204   #include <stdio.h>
................................................................................
 11524  11526      # Note that $ac_compile itself does not contain backslashes and begins
 11525  11527      # with a dollar sign (not a hyphen), so the echo should work correctly.
 11526  11528      # The option is referenced via a variable to avoid confusing sed.
 11527  11529      lt_compile=`echo "$ac_compile" | $SED \
 11528  11530      -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
 11529  11531      -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
 11530  11532      -e 's:$: $lt_compiler_flag:'`
 11531         -   (eval echo "\"\$as_me:11531: $lt_compile\"" >&5)
        11533  +   (eval echo "\"\$as_me:11533: $lt_compile\"" >&5)
 11532  11534      (eval "$lt_compile" 2>conftest.err)
 11533  11535      ac_status=$?
 11534  11536      cat conftest.err >&5
 11535         -   echo "$as_me:11535: \$? = $ac_status" >&5
        11537  +   echo "$as_me:11537: \$? = $ac_status" >&5
 11536  11538      if (exit $ac_status) && test -s "$ac_outfile"; then
 11537  11539        # The compiler can only warn and ignore the option if not recognized
 11538  11540        # So say no if there are warnings other than the usual output.
 11539  11541        $echo "X$_lt_compiler_boilerplate" | $Xsed -e '/^$/d' >conftest.exp
 11540  11542        $SED '/^$/d; /^ *+/d' conftest.err >conftest.er2
 11541  11543        if test ! -s conftest.er2 || diff conftest.exp conftest.er2 >/dev/null; then
 11542  11544          lt_prog_compiler_pic_works_CXX=yes
................................................................................
 11628  11630      # (2) before a word containing "conftest.", or (3) at the end.
 11629  11631      # Note that $ac_compile itself does not contain backslashes and begins
 11630  11632      # with a dollar sign (not a hyphen), so the echo should work correctly.
 11631  11633      lt_compile=`echo "$ac_compile" | $SED \
 11632  11634      -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
 11633  11635      -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
 11634  11636      -e 's:$: $lt_compiler_flag:'`
 11635         -   (eval echo "\"\$as_me:11635: $lt_compile\"" >&5)
        11637  +   (eval echo "\"\$as_me:11637: $lt_compile\"" >&5)
 11636  11638      (eval "$lt_compile" 2>out/conftest.err)
 11637  11639      ac_status=$?
 11638  11640      cat out/conftest.err >&5
 11639         -   echo "$as_me:11639: \$? = $ac_status" >&5
        11641  +   echo "$as_me:11641: \$? = $ac_status" >&5
 11640  11642      if (exit $ac_status) && test -s out/conftest2.$ac_objext
 11641  11643      then
 11642  11644        # The compiler can only warn and ignore the option if not recognized
 11643  11645        # So say no if there are warnings
 11644  11646        $echo "X$_lt_compiler_boilerplate" | $Xsed -e '/^$/d' > out/conftest.exp
 11645  11647        $SED '/^$/d; /^ *+/d' out/conftest.err >out/conftest.er2
 11646  11648        if test ! -s out/conftest.er2 || diff out/conftest.exp out/conftest.er2 >/dev/null; then
................................................................................
 13235  13237      # Note that $ac_compile itself does not contain backslashes and begins
 13236  13238      # with a dollar sign (not a hyphen), so the echo should work correctly.
 13237  13239      # The option is referenced via a variable to avoid confusing sed.
 13238  13240      lt_compile=`echo "$ac_compile" | $SED \
 13239  13241      -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
 13240  13242      -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
 13241  13243      -e 's:$: $lt_compiler_flag:'`
 13242         -   (eval echo "\"\$as_me:13242: $lt_compile\"" >&5)
        13244  +   (eval echo "\"\$as_me:13244: $lt_compile\"" >&5)
 13243  13245      (eval "$lt_compile" 2>conftest.err)
 13244  13246      ac_status=$?
 13245  13247      cat conftest.err >&5
 13246         -   echo "$as_me:13246: \$? = $ac_status" >&5
        13248  +   echo "$as_me:13248: \$? = $ac_status" >&5
 13247  13249      if (exit $ac_status) && test -s "$ac_outfile"; then
 13248  13250        # The compiler can only warn and ignore the option if not recognized
 13249  13251        # So say no if there are warnings other than the usual output.
 13250  13252        $echo "X$_lt_compiler_boilerplate" | $Xsed -e '/^$/d' >conftest.exp
 13251  13253        $SED '/^$/d; /^ *+/d' conftest.err >conftest.er2
 13252  13254        if test ! -s conftest.er2 || diff conftest.exp conftest.er2 >/dev/null; then
 13253  13255          lt_prog_compiler_pic_works_F77=yes
................................................................................
 13339  13341      # (2) before a word containing "conftest.", or (3) at the end.
 13340  13342      # Note that $ac_compile itself does not contain backslashes and begins
 13341  13343      # with a dollar sign (not a hyphen), so the echo should work correctly.
 13342  13344      lt_compile=`echo "$ac_compile" | $SED \
 13343  13345      -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
 13344  13346      -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
 13345  13347      -e 's:$: $lt_compiler_flag:'`
 13346         -   (eval echo "\"\$as_me:13346: $lt_compile\"" >&5)
        13348  +   (eval echo "\"\$as_me:13348: $lt_compile\"" >&5)
 13347  13349      (eval "$lt_compile" 2>out/conftest.err)
 13348  13350      ac_status=$?
 13349  13351      cat out/conftest.err >&5
 13350         -   echo "$as_me:13350: \$? = $ac_status" >&5
        13352  +   echo "$as_me:13352: \$? = $ac_status" >&5
 13351  13353      if (exit $ac_status) && test -s out/conftest2.$ac_objext
 13352  13354      then
 13353  13355        # The compiler can only warn and ignore the option if not recognized
 13354  13356        # So say no if there are warnings
 13355  13357        $echo "X$_lt_compiler_boilerplate" | $Xsed -e '/^$/d' > out/conftest.exp
 13356  13358        $SED '/^$/d; /^ *+/d' out/conftest.err >out/conftest.er2
 13357  13359        if test ! -s out/conftest.er2 || diff out/conftest.exp out/conftest.er2 >/dev/null; then
................................................................................
 15574  15576      # Note that $ac_compile itself does not contain backslashes and begins
 15575  15577      # with a dollar sign (not a hyphen), so the echo should work correctly.
 15576  15578      # The option is referenced via a variable to avoid confusing sed.
 15577  15579      lt_compile=`echo "$ac_compile" | $SED \
 15578  15580      -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
 15579  15581      -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
 15580  15582      -e 's:$: $lt_compiler_flag:'`
 15581         -   (eval echo "\"\$as_me:15581: $lt_compile\"" >&5)
        15583  +   (eval echo "\"\$as_me:15583: $lt_compile\"" >&5)
 15582  15584      (eval "$lt_compile" 2>conftest.err)
 15583  15585      ac_status=$?
 15584  15586      cat conftest.err >&5
 15585         -   echo "$as_me:15585: \$? = $ac_status" >&5
        15587  +   echo "$as_me:15587: \$? = $ac_status" >&5
 15586  15588      if (exit $ac_status) && test -s "$ac_outfile"; then
 15587  15589        # The compiler can only warn and ignore the option if not recognized
 15588  15590        # So say no if there are warnings other than the usual output.
 15589  15591        $echo "X$_lt_compiler_boilerplate" | $Xsed -e '/^$/d' >conftest.exp
 15590  15592        $SED '/^$/d; /^ *+/d' conftest.err >conftest.er2
 15591  15593        if test ! -s conftest.er2 || diff conftest.exp conftest.er2 >/dev/null; then
 15592  15594          lt_cv_prog_compiler_rtti_exceptions=yes
................................................................................
 15842  15844      # Note that $ac_compile itself does not contain backslashes and begins
 15843  15845      # with a dollar sign (not a hyphen), so the echo should work correctly.
 15844  15846      # The option is referenced via a variable to avoid confusing sed.
 15845  15847      lt_compile=`echo "$ac_compile" | $SED \
 15846  15848      -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
 15847  15849      -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
 15848  15850      -e 's:$: $lt_compiler_flag:'`
 15849         -   (eval echo "\"\$as_me:15849: $lt_compile\"" >&5)
        15851  +   (eval echo "\"\$as_me:15851: $lt_compile\"" >&5)
 15850  15852      (eval "$lt_compile" 2>conftest.err)
 15851  15853      ac_status=$?
 15852  15854      cat conftest.err >&5
 15853         -   echo "$as_me:15853: \$? = $ac_status" >&5
        15855  +   echo "$as_me:15855: \$? = $ac_status" >&5
 15854  15856      if (exit $ac_status) && test -s "$ac_outfile"; then
 15855  15857        # The compiler can only warn and ignore the option if not recognized
 15856  15858        # So say no if there are warnings other than the usual output.
 15857  15859        $echo "X$_lt_compiler_boilerplate" | $Xsed -e '/^$/d' >conftest.exp
 15858  15860        $SED '/^$/d; /^ *+/d' conftest.err >conftest.er2
 15859  15861        if test ! -s conftest.er2 || diff conftest.exp conftest.er2 >/dev/null; then
 15860  15862          lt_prog_compiler_pic_works_GCJ=yes
................................................................................
 15946  15948      # (2) before a word containing "conftest.", or (3) at the end.
 15947  15949      # Note that $ac_compile itself does not contain backslashes and begins
 15948  15950      # with a dollar sign (not a hyphen), so the echo should work correctly.
 15949  15951      lt_compile=`echo "$ac_compile" | $SED \
 15950  15952      -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
 15951  15953      -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
 15952  15954      -e 's:$: $lt_compiler_flag:'`
 15953         -   (eval echo "\"\$as_me:15953: $lt_compile\"" >&5)
        15955  +   (eval echo "\"\$as_me:15955: $lt_compile\"" >&5)
 15954  15956      (eval "$lt_compile" 2>out/conftest.err)
 15955  15957      ac_status=$?
 15956  15958      cat out/conftest.err >&5
 15957         -   echo "$as_me:15957: \$? = $ac_status" >&5
        15959  +   echo "$as_me:15959: \$? = $ac_status" >&5
 15958  15960      if (exit $ac_status) && test -s out/conftest2.$ac_objext
 15959  15961      then
 15960  15962        # The compiler can only warn and ignore the option if not recognized
 15961  15963        # So say no if there are warnings
 15962  15964        $echo "X$_lt_compiler_boilerplate" | $Xsed -e '/^$/d' > out/conftest.exp
 15963  15965        $SED '/^$/d; /^ *+/d' out/conftest.err >out/conftest.er2
 15964  15966        if test ! -s out/conftest.er2 || diff out/conftest.exp out/conftest.er2 >/dev/null; then
................................................................................
 20816  20818   if test "${use_loadextension}" = "yes" ; then
 20817  20819     LOADEXTENSION_FLAGS=""
 20818  20820   else
 20819  20821     LOADEXTENSION_FLAGS="-DSQLITE_OMIT_LOAD_EXTENSION=1"
 20820  20822   fi
 20821  20823   
 20822  20824   
        20825  +#########
        20826  +# See whether we should allow loadable extensions
        20827  +# Check whether --enable-gcov was given.
        20828  +if test "${enable_gcov+set}" = set; then
        20829  +  enableval=$enable_gcov; use_gcov=$enableval
        20830  +else
        20831  +  use_gcov=no
        20832  +fi
        20833  +
        20834  +if test "${use_gcov}" = "yes" ; then
        20835  +  USE_GCOV=1
        20836  +else
        20837  +  USE_GCOV=0
        20838  +fi
        20839  +
        20840  +
 20823  20841   
 20824  20842   #########
 20825  20843   # Output the config header
 20826  20844   ac_config_headers="$ac_config_headers config.h"
 20827  20845   
 20828  20846   
 20829  20847   #########
................................................................................
 21592  21610   HAVE_TCL!$HAVE_TCL$ac_delim
 21593  21611   TARGET_READLINE_LIBS!$TARGET_READLINE_LIBS$ac_delim
 21594  21612   TARGET_READLINE_INC!$TARGET_READLINE_INC$ac_delim
 21595  21613   TARGET_HAVE_READLINE!$TARGET_HAVE_READLINE$ac_delim
 21596  21614   TARGET_DEBUG!$TARGET_DEBUG$ac_delim
 21597  21615   USE_AMALGAMATION!$USE_AMALGAMATION$ac_delim
 21598  21616   LOADEXTENSION_FLAGS!$LOADEXTENSION_FLAGS$ac_delim
        21617  +USE_GCOV!$USE_GCOV$ac_delim
 21599  21618   BUILD_CFLAGS!$BUILD_CFLAGS$ac_delim
 21600  21619   LIBOBJS!$LIBOBJS$ac_delim
 21601  21620   LTLIBOBJS!$LTLIBOBJS$ac_delim
 21602  21621   _ACEOF
 21603  21622   
 21604         -  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 12; then
        21623  +  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 13; then
 21605  21624       break
 21606  21625     elif $ac_last_try; then
 21607  21626       { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
 21608  21627   echo "$as_me: error: could not make $CONFIG_STATUS" >&2;}
 21609  21628      { (exit 1); exit 1; }; }
 21610  21629     else
 21611  21630       ac_delim="$ac_delim!$ac_delim _$ac_delim!! "

Changes to configure.ac.

    88     88   # the corresponding code.
    89     89   #
    90     90   AC_INIT(sqlite, m4_esyscmd([cat VERSION | tr -d '\n']))
    91     91   
    92     92   dnl Put the RCS revision string after AC_INIT so that it will also
    93     93   dnl show in in configure.
    94     94   # The following RCS revision string applies to configure.in
    95         -# $Revision: 1.42 $
           95  +# $Revision: 1.43 $
    96     96   
    97     97   #########
    98     98   # Programs needed
    99     99   #
   100    100   AC_PROG_LIBTOOL
   101    101   AC_PROG_INSTALL
   102    102   AC_PROG_AWK
................................................................................
   608    608   if test "${use_loadextension}" = "yes" ; then
   609    609     LOADEXTENSION_FLAGS=""
   610    610   else
   611    611     LOADEXTENSION_FLAGS="-DSQLITE_OMIT_LOAD_EXTENSION=1"
   612    612   fi
   613    613   AC_SUBST(LOADEXTENSION_FLAGS)
   614    614   
          615  +#########
          616  +# See whether we should allow loadable extensions
          617  +AC_ARG_ENABLE(gcov, AC_HELP_STRING([--enable-gcov],
          618  +      [Enable coverage testing using gcov]),
          619  +      [use_gcov=$enableval],[use_gcov=no])
          620  +if test "${use_gcov}" = "yes" ; then
          621  +  USE_GCOV=1
          622  +else
          623  +  USE_GCOV=0
          624  +fi
          625  +AC_SUBST(USE_GCOV)
          626  +
   615    627   
   616    628   #########
   617    629   # Output the config header
   618    630   AC_CONFIG_HEADERS(config.h)
   619    631   
   620    632   #########
   621    633   # Generate the output files.
   622    634   #
   623    635   AC_SUBST(BUILD_CFLAGS)
   624    636   AC_OUTPUT([
   625    637   Makefile
   626    638   sqlite3.pc
   627    639   ])